## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iTextureList Struct Reference
[Textures & Materials, Textures & Materials]

This class represents a list of texture wrappers. More...

`#include <iengine/texture.h>`

Inheritance diagram for iTextureList:

[legend]
List of all members.

## Public Member Functions

virtual int | Add (iTextureWrapper *obj)=0
| Add a texture.
virtual int | Find (iTextureWrapper *obj) const =0
| Find a texture and return its index.
virtual iTextureWrapper * | FindByName (const char *Name) const =0
| Find a texture by name.
virtual iTextureWrapper * | Get (int n) const =0
| Return a texture by index.
virtual int | GetCount () const =0
| Return the number of textures in this list.
virtual iTextureWrapper * | NewTexture (iTextureHandle *ith)=0
| Create a engine wrapper for a pre-prepared iTextureHandle The handle will be IncRefed.
virtual iTextureWrapper * | NewTexture (iImage *image)=0
| Create a new texture.
virtual bool | Remove (int n)=0
| Remove the nth texture.
virtual bool | Remove (iTextureWrapper *obj)=0
| Remove a texture.
virtual void | RemoveAll ()=0
| Remove all textures.

## Detailed Description

This class represents a list of texture wrappers.

Main ways to get pointers to this interface:

- iEngine::GetTextureList()

Definition at line 167 of file texture.h.

## Member Function Documentation

virtual int iTextureList::Add | ( | iTextureWrapper * | obj | ) | `[pure virtual]`

| Add a texture.

virtual int iTextureList::Find | ( | iTextureWrapper * | obj | ) | const`[pure virtual]`

| Find a texture and return its index.

virtual iTextureWrapper* iTextureList::FindByName | ( | const char * | Name | ) | const`[pure virtual]`

| Find a texture by name.

virtual iTextureWrapper* iTextureList::Get | ( | int | n | ) | const`[pure virtual]`

| Return a texture by index.

virtual int iTextureList::GetCount | ( |  | ) | const`[pure virtual]`

| Return the number of textures in this list.

virtual iTextureWrapper* iTextureList::NewTexture | ( | iTextureHandle * | ith | ) | `[pure virtual]`

| Create a engine wrapper for a pre-prepared iTextureHandle The handle will be IncRefed.

virtual iTextureWrapper* iTextureList::NewTexture | ( | iImage * | image | ) | `[pure virtual]`

| Create a new texture.

virtual bool iTextureList::Remove | ( | int | n | ) | `[pure virtual]`

| Remove the nth texture.

virtual bool iTextureList::Remove | ( | iTextureWrapper * | obj | ) | `[pure virtual]`

| Remove a texture.

virtual void iTextureList::RemoveAll | ( |  | ) | `[pure virtual]`

| Remove all textures.

The documentation for this struct was generated from the following file:

- iengine/texture.h